function onBegin ()
    disablePause()
    disableMovement()
    waitUntilOnGround ()
    walkTo(661, false, 0.2)
    walk(2)
    wait(5)
    choiceDialog({
        {
            "kaileythalien_aqquatica_24",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_27",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_24",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        },
        {
            "kaileythalien_aqquatica_25",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        }
    })
    choiceDialog({
        {
            "kaileythalien_aqquatica_26",
            onChosen = function ()
                helpers.closeChoiceDialog ()
            end
        }
    })
    setFlag("b", true)
    enableMovement()
    enablePause()
end

function onEnd()
    enableMovement()
    enablePause()
end